/* GCC */

#include <fstream>
#include <algorithm>
#include <vector>

using namespace std;

struct player 
{
       long level, index;
       player() {}
};

bool SORT(player p1, player p2)
{
    return p1.level < p2.level;     
}

int N, M;
long D;
player *sil, *mis;

vector< pair<int, int> > bestP;
long bestD;

void f(const player* s, long start, bool* usedmis, const vector< pair<int, int> > &p, const long d)
{
       vector< pair<int, int> > tmp1;
       bool* tmp2 = new bool[M];
       
       for(long i = start; i < N; i++)
       {
          bool flag = false;
          for(int j = 0; j < M; j++)
          {
              if(usedmis[j])
                  continue;
              if(abs(mis[j].level - s[i].level) <= D)
              {
                   flag = true;
                   
                   for(int k = 0; k < M; k++)
                       tmp2[k] = usedmis[k];
                   tmp2[j] = true;
                   
                   tmp1 = p;
                   tmp1.push_back(pair<int, int>(s[i].index, mis[j].index));
                   
                   f(s, i+1, tmp2, tmp1, d);
              }
              else if(flag)
                   break;
          }
       }
       delete tmp2;
       
       if(bestP.size() < p.size())
       {
           bestP = p;
           bestD = d;               
       }
}

int main()
{
    ifstream fin("chess.in");
    fin>>N>>M>>D;
    sil = new player[N];
    player *tmp = new player[N];
    mis = new player[M];
    for(int i = 0; i < N; i++)
    {
        fin>>sil[i].level;
        sil[i].index = i+1;
    }
    for(int i = 0; i < M; i++)
    {
        fin>>mis[i].level;
        mis[i].index = i+1;
    }
    fin.close();
    
    sort(sil, sil+N, SORT);
    sort(mis, mis+M, SORT);
    
    bool* empty = new bool[M];
    for(int i = 0; i < M; i++)
        empty[i] = false;
    
    vector< pair<int, int> > emp;
    emp.reserve(10000);
    
    for(int i = 0; i < N; i++)
         tmp[i].index = sil[i].index;
    
    for(long d = mis[0].level-sil[N-1].level; d < mis[M-1].level-sil[0].level; d++)
    {
         for(int i = 0; i < N; i++)
         {
             tmp[i].level = sil[i].level + d;
             
         }
             
         f(tmp, 0, empty, emp, d);
    }
    
    ofstream fout("chess.out");
    fout<<bestP.size()<<' '<<abs(bestD)<<endl;
    for(int i = 0; i < bestP.size(); i++)
        fout<<bestP[i].first<<' '<<bestP[i].second<<endl;
    fout.close();
    
    return 0;
}
