/* GCC */
#include <iostream>
#include <algorithm>
#include <vector>
using namespace std;
vector<int> G[20];
int v[20],ans[20];

int Swap(int i,int j) {
    int ret=0;
    for (int k=0;k<G[i].size();k++)
        if (G[i][k]!=j) ret+=abs(v[j]-v[G[i][k]])-abs(v[G[i][k]]-v[i]);
    return ret;
    }

int main() {
    int i,j,N,M,sum,minSum(1<<30);
    freopen("servers.in","r",stdin); freopen("servers.out","w",stdout);
    cin>>N>>M;
    for (i=0;i<M;i++) {
        int a,b;
        cin>>a>>b; a--; b--;
        G[a].push_back(b);
        G[b].push_back(a);
        }
    fclose(stdin); 
    for (i=0;i<N;i++) v[i]=i;
    for (int it=0;it<400;it++) {
        random_shuffle(v,v+N);    
        //for (i=0;i<N;i++) cout<<v[i]<<" "; cout<<"\n";
        sum=0;
        for (i=0;i<N;i++)
            for (j=0;j<G[i].size();j++)
                sum+=abs(v[i]-v[G[i][j]]);
        sum/=2;
        bool change=1;
        while (change) {
               change=0;
              for (i=0;i<N;i++)
                  for (j=i+1;j<N;j++)
                      {
                       int chng=Swap(i,j)+Swap(j,i);
                       if (chng<0) {swap(v[i],v[j]); sum+=chng; change=1;}               
                      }
              }
         if (sum<minSum) {minSum=sum; for (i=0;i<N;i++) ans[i]=v[i];}       
        }
    cout<<minSum<<"\n";
    for (i=0;i<N;i++) v[ans[i]]=i+1;
    cout<<v[0]; for (i=1;i<N;i++) cout<<" "<<v[i]; cout<<"\n";
    fclose(stdout);
    return 0;
    }
